Skip to main content
POST
/
batch-calls
/
{batch_call_id}
/
contacts
Add Contacts to Batch Call
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/batch-calls/{batch_call_id}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contacts": [
    {
      "phone_number": "+15551234567",
      "first_name": "John",
      "last_name": "Doe"
    }
  ]
}
'
{
  "data": {
    "added_count": 1,
    "failed_count": 0
  },
  "meta": {
    "request_id": "req_32e7531c-8",
    "ts": "2026-03-10T17:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Path Parameters

batch_call_id
string
required

Batch call ID

Body

application/json
contacts
object[]
required

Array of contacts to add

Minimum array length: 1
Example:
[
{
"phone_number": "+15551234567",
"first_name": "Jane"
}
]

Response

Contacts added successfully

data
object
required
meta
object
required